# What is glucoviewer?

It is a Rust projet to extract data from continuous glucometer like Freestyle Libre and be able to show values on a graph and some statistics around it. To help people with diabetes to monitor themselves.

# Features

* Get data from glucometer (Freestyle Libre only for the moment)
* Can use HID protocol to detect a glucometer
* Get / store data into SQLite database

# TODO

* Add GUI: day per day view, compact view for a range of time, average per hour, hypo/hyperglycemia count, see raw data, etc.
* Be able to configure the software
* A view to see the device info and get new data from it
* Support more glucometers
* Add manual values, especialy from hospital to compare glycated hemoglobin from blood analysis and from the device
* Support several users for doctor use case
* Encrypt and compress database
* Add notes about meals
* Be able to recommand insulin doses for a specific meal
* Windows, macOS and other ports
* Support several units
